/*
 * collect_Conversion.h
 *
 *  Created on: 2024年6月21日
 *      Author: psx
 */

#ifndef APP_INC_COLLECT_CONVERSION_H_
#define APP_INC_COLLECT_CONVERSION_H_

#include "debug.h"
#include "adc.h"
#include "ring_queue2.h"

#define adcBuffSize 100
typedef struct _ADC_DATA{
    RingQueue2 RQCHG_CURR;
    RingQueue2 RQDSG_CURR;
    int32_t total_CHG_CURR;     /* 充电电流adc之和 */
    int32_t total_DSG_CURR;     /* 放电电流adc之和 */
}ADC_DATA;
extern ADC_DATA g_adcData;

void currBuffInit(void);
void adcChangeProportionalInit(void);

float get_CHG_CURR(void);
float get_PV_VOLT_OUT(void);
float get_DSG_CURR(void);
float get_PV1_VOLT_IN(void);
float get_PV_VOLT_IN1(void);
float get_MOSFET_Temper(void);
//float get_PV2_VOLT_IN(void);

#endif /* APP_INC_COLLECT_CONVERSION_H_ */
